Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Drop Java 5 support & remove deprecated API #536

Closed
flyway opened this issue Jun 25, 2013 · 1 comment
Closed

Drop Java 5 support & remove deprecated API #536

flyway opened this issue Jun 25, 2013 · 1 comment

Comments

@flyway
Copy link
Collaborator

@flyway flyway commented Jun 25, 2013

Original author: axel.fontaine.business@gmail.com (July 30, 2012 09:43:46)

Non-backwards compatible changes:

Flyway.initialVersion
Flyway.target

Remove SchemaVersion class.

Original issue: http://code.google.com/p/flyway/issues/detail?id=301

@flyway
Copy link
Collaborator Author

@flyway flyway commented Jun 25, 2013

From axel.fontaine.business@gmail.com on July 30, 2012 09:48:53
Remove deprecated API.

OSGi: Only export flyway.core & flyway.core.api.*

Adjust package javadoc to mark everything as Private API, except flyway.core & flyway.core.api.*

Move FlywayException to API package.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
0 participants